#include <bits/stdc++.h>
#define xx first
#define yy second
#define mp make_pair
#define pb push_back
#define ios ios_base::sync_with_stdio(false); cin.tie(0)
using namespace std;

int main()
{
    ios;
    string s;
    string a="";
    string c1,c2;
    cin>>s;
    c1=s[0];
    c2=s[1];
    long long a1,a2;
    cin>>a1>>a2;
    if(abs(a1-a2)>=2){
        cout<<"nemoguce";
        return 0;
    }
    else if(a1==a2){
        for(int i =0;i<a1;i++){
            a+=c1;
            a+=c2;
        }
        cout<<a;
        return 0;
    }
    else if(a1>a2){
        a+=c1;
        for(int i =0;i<a2;i++){
            a+=c2;
            a+=c1;
        }
        cout<<a;
        return 0;
    }
    else {
        a+=c2;
        for(int i =0;i<a1;i++){
            a+=c1;
            a+=c2;
        }
        cout<<a;
        return 0;
    }
    return 0;
}